Bug 16244 - upgrade.log: cpio unlink failed - bad file descriptor
Summary: upgrade.log: cpio unlink failed - bad file descriptor
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-15 14:58 UTC by Brock Organ
Modified: 2014-03-17 02:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-17 02:20:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brock Organ 2000-08-15 14:58:39 UTC
There was an error in the /tmp/upgrade.log file from an anaconda upgrade as
follows:

Upgrading dhcpcd.                                                          
unpacking of archive failed on file /etc/dhcpc: cpio: unlink failed - Bad
file descriptor

Comment 1 Erik Troan 2000-08-15 18:36:36 UTC
Fixed in latest dhcp package.

Comment 2 Brock Organ 2000-08-20 23:54:19 UTC
this is not fixed in the pre-RC2 tree:

Upgrading dhcpcd.                                                               
unpacking of archive failed on file /etc/dhcpc: cpio: unlink failed - Is a
directory

Comment 3 Bill Nottingham 2000-08-21 15:16:52 UTC
fixed in dhcpcd-1.3.18pl8-6

Comment 4 Ben Levenson 2001-02-16 06:08:27 UTC
build: qa0215.2
GUI, English, 7.0 Workstation -> 7.1 upgrade (NFS) 
upgrade.log:
Upgrading dhcpcd.
unpacking of archive failed on file /etc/dhcpcd: cpio: unlink failed - Is a
directory



Comment 5 Preston Brown 2001-02-17 21:38:13 UTC
fixed in dhcpcd-1.3.18p8-9 and later.


Note You need to log in before you can comment on or make changes to this bug.